Log4j 1.2.7

## org.apache.log4j.helpers
Class OnlyOnceErrorHandler

    java.lang.Object
      |
      +--org.apache.log4j.helpers.OnlyOnceErrorHandler

All Implemented Interfaces:
  ErrorHandler, OptionHandler

public class OnlyOnceErrorHandler
extends Object
implements ErrorHandler

The `OnlyOnceErrorHandler` implements log4j's default error handling policy which consists of emitting a message for the first error in an appender and ignoring all following errors.

The error message is printed on `System.err`.

This policy aims at protecting an otherwise working application from being flooded with error messages when logging fails.

Since:
  0.9.0
Author:
  Ceki Gülcü

Constructor Summary
`OnlyOnceErrorHandler()`

Method Summary
`void` `activateOptions()` No options to activate.
`void` `error(String message)` Print a the error message passed as parameter on `System.err`.
`void` `error(String message, Exception e, int errorCode)` Prints the message and the stack trace of the exception on `System.err`.
`void` `error(String message, Exception e, int errorCode, LoggingEvent event)` Prints the message and the stack trace of the exception on `System.err`.
`void` `setAppender(Appender appender)` Does not do anything.
`void` `setBackupAppender(Appender appender)` Does not do anything.
`void` `setLogger(Logger logger)` Does not do anything.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnlyOnceErrorHandler

    public OnlyOnceErrorHandler()

Method Detail

### setLogger

    public void setLogger(Logger logger)

  Does not do anything.
  Specified by:
    `setLogger` in interface `ErrorHandler`
  Following copied from interface: `org.apache.log4j.spi.ErrorHandler`
  Parameters:
    `logger` - One of the loggers that will be searched for the failing appender in view of replacement.

### activateOptions

    public void activateOptions()

  No options to activate.
  Specified by:
    `activateOptions` in interface `OptionHandler`

### error

    public void error(String message,
                      Exception e,
                      int errorCode)

  Prints the message and the stack trace of the exception on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`

### error

    public void error(String message,
                      Exception e,
                      int errorCode,
                      LoggingEvent event)

  Prints the message and the stack trace of the exception on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`
  Following copied from interface: `org.apache.log4j.spi.ErrorHandler`
  Parameters:
    `message` - The message assoicated with the error.
    `e` - The Exption that was thrown when the error occured.
    `errorCode` - The error code associated with the error.
    `event` - The logging event that the failing appender is asked to log.

### error

    public void error(String message)

  Print a the error message passed as parameter on `System.err`.
  Specified by:
    `error` in interface `ErrorHandler`

### setAppender

    public void setAppender(Appender appender)

  Does not do anything.
  Specified by:
    `setAppender` in interface `ErrorHandler`

### setBackupAppender

    public void setBackupAppender(Appender appender)

  Does not do anything.
  Specified by:
    `setBackupAppender` in interface `ErrorHandler`

Log4j 1.2.7

Copyright 2000-2002 Apache Software Foundation.